import { type OptionsLegacyParser } from './client';
import type { MediaCreateMediaData, PointsOfInterestCreatePointOfInterestData, PointsOfInterestGetPointOfInterestByIdData, PointsOfInterestUpdatePointOfInterestData } from './types.gen';
export declare const client: import("./client").Client;
export declare class AppService {
    static getAppInfo<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>): import("./client").RequestResult<unknown, unknown, ThrowOnError>;
    static ping<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>): import("./client").RequestResult<unknown, unknown, ThrowOnError>;
}
export declare class LanguagesService {
    static getLanguages<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>): import("./client").RequestResult<import("./types.gen").GetLanguagesResponseDTO, unknown, ThrowOnError>;
}
export declare class MediaService {
    static createMedia<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<MediaCreateMediaData, ThrowOnError>): import("./client").RequestResult<import("./types.gen").MediaDTO, unknown, ThrowOnError>;
}
export declare class PointsOfInterestService {
    static getPointsOfInterest<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>): import("./client").RequestResult<import("./types.gen").GetPointsOfInterestsResponseDTO, import("./types.gen").ServerException, ThrowOnError>;
    static createPointOfInterest<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<PointsOfInterestCreatePointOfInterestData, ThrowOnError>): import("./client").RequestResult<import("./types.gen").CreatePointOfInterestResponseDTO, import("./types.gen").ServerException, ThrowOnError>;
    static getPointOfInterestById<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<PointsOfInterestGetPointOfInterestByIdData, ThrowOnError>): import("./client").RequestResult<import("./types.gen").GetPointOfInterestResponseDTO, import("./types.gen").ServerException, ThrowOnError>;
    static updatePointOfInterest<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<PointsOfInterestUpdatePointOfInterestData, ThrowOnError>): import("./client").RequestResult<import("./types.gen").UpdatePointOfInterestResponseDTO, import("./types.gen").ServerException, ThrowOnError>;
}
