"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PointsOfInterestService = exports.MediaService = exports.LanguagesService = exports.AppService = exports.client = void 0;
const client_1 = require("./client");
exports.client = (0, client_1.createClient)((0, client_1.createConfig)());
class AppService {
    static getAppInfo(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).get(Object.assign(Object.assign({}, options), { url: '/api' }));
    }
    static ping(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).get(Object.assign(Object.assign({}, options), { url: '/api/ping' }));
    }
}
exports.AppService = AppService;
class LanguagesService {
    static getLanguages(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).get(Object.assign(Object.assign({}, options), { url: '/api/v1/languages' }));
    }
}
exports.LanguagesService = LanguagesService;
class MediaService {
    static createMedia(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).post(Object.assign(Object.assign(Object.assign({}, options), client_1.formDataBodySerializer), { headers: Object.assign({ 'Content-Type': null }, options === null || options === void 0 ? void 0 : options.headers), url: '/api/v1/media' }));
    }
}
exports.MediaService = MediaService;
class PointsOfInterestService {
    static getPointsOfInterest(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).get(Object.assign(Object.assign({}, options), { url: '/api/v1/points-of-interest' }));
    }
    static createPointOfInterest(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).post(Object.assign(Object.assign({}, options), { url: '/api/v1/points-of-interest' }));
    }
    static getPointOfInterestById(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).get(Object.assign(Object.assign({}, options), { url: '/api/v1/points-of-interest/{id}' }));
    }
    static updatePointOfInterest(options) {
        var _a;
        return ((_a = options === null || options === void 0 ? void 0 : options.client) !== null && _a !== void 0 ? _a : exports.client).post(Object.assign(Object.assign({}, options), { url: '/api/v1/points-of-interest/{id}' }));
    }
}
exports.PointsOfInterestService = PointsOfInterestService;
//# sourceMappingURL=sdk.gen.js.map