export type CreateMediaInputDTO = {
    id?: string;
    file: (Blob | File);
    width?: number;
    height?: number;
};
export type CreatePointOfInterestInputDTO = {
    slug: string;
    mainMediaId: string;
    translations: Array<PointOfInterestTranslationInputDTO>;
};
export type CreatePointOfInterestResponseDTO = {
    data: PointOfInterestDTO;
};
export type ErrorCodes = 'VALIDATION_ERROR';
export type ErrorType = {
    code: (ErrorCodes);
    message: string;
    field?: string;
};
export type GetLanguagesResponseDTO = {
    data: Array<LanguageDTO>;
};
export type GetPointOfInterestResponseDTO = {
    data: PointOfInterestDTO;
};
export type GetPointsOfInterestsResponseDTO = {
    data: Array<PointOfInterestDTO>;
};
export type LanguageDTO = {
    name: string;
    code: string;
};
export type MediaDTO = {
    id: string;
    url: string;
};
export type PointOfInterestDTO = {
    id: string;
    slug: string;
    mainMedia: MediaDTO;
    translations: Array<PointOfInterestTranslationDTO>;
};
export type PointOfInterestTranslationDTO = {
    name: string;
    preview: string;
    languageCode: string;
    content: {
        [key: string]: unknown;
    };
};
export type PointOfInterestTranslationInputDTO = {
    name: string;
    preview: string;
    languageCode: string;
    content: {
        [key: string]: unknown;
    };
};
export type ServerException = {
    errors: Array<ErrorType>;
    status: number;
};
export type UpdatePointOfInterestInputDTO = {
    slug?: string;
    mainMediaId?: string;
    translations?: Array<PointOfInterestTranslationInputDTO>;
};
export type UpdatePointOfInterestResponseDTO = {
    data: PointOfInterestDTO;
};
export type AppGetAppInfoResponse = (unknown);
export type AppGetAppInfoError = unknown;
export type AppPingResponse = (unknown);
export type AppPingError = unknown;
export type LanguagesGetLanguagesResponse = (GetLanguagesResponseDTO);
export type LanguagesGetLanguagesError = unknown;
export type MediaCreateMediaData = {
    body: CreateMediaInputDTO;
};
export type MediaCreateMediaResponse = (MediaDTO);
export type MediaCreateMediaError = unknown;
export type PointsOfInterestGetPointsOfInterestResponse = (GetPointsOfInterestsResponseDTO);
export type PointsOfInterestGetPointsOfInterestError = (ServerException);
export type PointsOfInterestCreatePointOfInterestData = {
    body: CreatePointOfInterestInputDTO;
};
export type PointsOfInterestCreatePointOfInterestResponse = (CreatePointOfInterestResponseDTO);
export type PointsOfInterestCreatePointOfInterestError = (ServerException);
export type PointsOfInterestGetPointOfInterestByIdData = {
    path: {
        id: string;
    };
};
export type PointsOfInterestGetPointOfInterestByIdResponse = (GetPointOfInterestResponseDTO);
export type PointsOfInterestGetPointOfInterestByIdError = (ServerException);
export type PointsOfInterestUpdatePointOfInterestData = {
    body: UpdatePointOfInterestInputDTO;
    path: {
        id: string;
    };
};
export type PointsOfInterestUpdatePointOfInterestResponse = (UpdatePointOfInterestResponseDTO);
export type PointsOfInterestUpdatePointOfInterestError = (ServerException);
