/** @type {import('@hey-api/openapi-ts').UserConfig} */

export default {
  input: './spec.json',
  output: './typescript',
  client: {
    bundle: true,
    name: '@hey-api/client-axios',
  },
  plugins: [
    {
      name: '@hey-api/transformers',
      dates: false,
    },
    {
      name: '@hey-api/sdk',
      transformer: true,
      asClass: true,
      methodNameBuilder: (operation) => {
        const segments = operation.id.split('_');

        if (segments.length === 1) {
          return segments[0];
        }
        return segments[1];
      },
    },
    {
      name: '@hey-api/typescript',
      exportInlineEnums: true,
    },
  ],
};
