// This file is auto-generated by @hey-api/openapi-ts

import { createClient, createConfig, type OptionsLegacyParser, formDataBodySerializer } from './client';
import type { AppGetAppInfoError, AppGetAppInfoResponse, AppPingError, AppPingResponse, LanguagesGetLanguagesError, LanguagesGetLanguagesResponse, MediaCreateMediaData, MediaCreateMediaError, MediaCreateMediaResponse, PointsOfInterestGetPointsOfInterestError, PointsOfInterestGetPointsOfInterestResponse, PointsOfInterestCreatePointOfInterestData, PointsOfInterestCreatePointOfInterestError, PointsOfInterestCreatePointOfInterestResponse, PointsOfInterestGetPointOfInterestByIdData, PointsOfInterestGetPointOfInterestByIdError, PointsOfInterestGetPointOfInterestByIdResponse, PointsOfInterestUpdatePointOfInterestData, PointsOfInterestUpdatePointOfInterestError, PointsOfInterestUpdatePointOfInterestResponse } from './types.gen';

export const client = createClient(createConfig());

export class AppService {
    public static getAppInfo<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>) {
        return (options?.client ?? client).get<AppGetAppInfoResponse, AppGetAppInfoError, ThrowOnError>({
            ...options,
            url: '/api'
        });
    }
    
    public static ping<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>) {
        return (options?.client ?? client).get<AppPingResponse, AppPingError, ThrowOnError>({
            ...options,
            url: '/api/ping'
        });
    }
    
}

export class LanguagesService {
    public static getLanguages<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>) {
        return (options?.client ?? client).get<LanguagesGetLanguagesResponse, LanguagesGetLanguagesError, ThrowOnError>({
            ...options,
            url: '/api/v1/languages'
        });
    }
    
}

export class MediaService {
    /**
     * Create media
     */
    public static createMedia<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<MediaCreateMediaData, ThrowOnError>) {
        return (options?.client ?? client).post<MediaCreateMediaResponse, MediaCreateMediaError, ThrowOnError>({
            ...options,
            ...formDataBodySerializer,
            headers: {
                'Content-Type': null,
                ...options?.headers
            },
            url: '/api/v1/media'
        });
    }
    
}

export class PointsOfInterestService {
    public static getPointsOfInterest<ThrowOnError extends boolean = false>(options?: OptionsLegacyParser<unknown, ThrowOnError>) {
        return (options?.client ?? client).get<PointsOfInterestGetPointsOfInterestResponse, PointsOfInterestGetPointsOfInterestError, ThrowOnError>({
            ...options,
            url: '/api/v1/points-of-interest'
        });
    }
    
    public static createPointOfInterest<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<PointsOfInterestCreatePointOfInterestData, ThrowOnError>) {
        return (options?.client ?? client).post<PointsOfInterestCreatePointOfInterestResponse, PointsOfInterestCreatePointOfInterestError, ThrowOnError>({
            ...options,
            url: '/api/v1/points-of-interest'
        });
    }
    
    public static getPointOfInterestById<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<PointsOfInterestGetPointOfInterestByIdData, ThrowOnError>) {
        return (options?.client ?? client).get<PointsOfInterestGetPointOfInterestByIdResponse, PointsOfInterestGetPointOfInterestByIdError, ThrowOnError>({
            ...options,
            url: '/api/v1/points-of-interest/{id}'
        });
    }
    
    public static updatePointOfInterest<ThrowOnError extends boolean = false>(options: OptionsLegacyParser<PointsOfInterestUpdatePointOfInterestData, ThrowOnError>) {
        return (options?.client ?? client).post<PointsOfInterestUpdatePointOfInterestResponse, PointsOfInterestUpdatePointOfInterestError, ThrowOnError>({
            ...options,
            url: '/api/v1/points-of-interest/{id}'
        });
    }
    
}